summaryrefslogtreecommitdiffstats
path: root/system/isomd5sum/isomd5sum.SlackBuild
diff options
context:
space:
mode:
author B. Watson2011-08-27 14:11:00 +0200
committer Niels Horn2011-08-27 14:11:00 +0200
commitbb381bab725dd8ef72196ac01d20c75bda125f7b (patch)
tree4100a75e3773843435525618a6a50cde07681b25 /system/isomd5sum/isomd5sum.SlackBuild
parent73146b17ea0b902af362ef285f5360b677f18e7d (diff)
downloadslackbuilds-bb381bab725dd8ef72196ac01d20c75bda125f7b.tar.gz
system/isomd5sum: Added (MD5 checksums within an ISO9660 image)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'system/isomd5sum/isomd5sum.SlackBuild')
-rw-r--r--system/isomd5sum/isomd5sum.SlackBuild74
1 files changed, 74 insertions, 0 deletions
diff --git a/system/isomd5sum/isomd5sum.SlackBuild b/system/isomd5sum/isomd5sum.SlackBuild
new file mode 100644
index 0000000000..6cdd123d53
--- /dev/null
+++ b/system/isomd5sum/isomd5sum.SlackBuild
@@ -0,0 +1,74 @@
+#!/bin/sh
+
+# Slackware build script for isomd5sum
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+PRGNAM=isomd5sum
+VERSION=${VERSION:-1.0.7}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# The Makefile is smart enough to use lib or lib64 as appropriate,
+# no LIBDIRSUFFIX needed here.
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+else
+ SLKCFLAGS="-O2"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+patch -p1 < $CWD/fix_makefile.diff
+
+sed -i 's,/usr/share/man,/usr/man,' Makefile
+
+make RPM_OPT_FLAGS="$SLKCFLAGS"
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README COPYING testpyisomd5sum.py $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}